Skip to main content
POST
curl

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Timestamp
string
header
required

Time the request was signed, as Unix milliseconds. Included in the request signature. Requests signed too far from the server's time are rejected.

Headers

Idempotency-Key
string<uuid>
required

Client-generated canonical UUIDv4 that uniquely identifies a request for safe retries.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$
Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

user_id
string
required

Globally unique public identifier for a user.

Required string length: 14 - 42

Body

application/json

Evidence of a check already completed by the partner's verifier.

type
enum<string>
required

Selects an identity-document submission.

Available options:
identity_document
document
object
required

Identity document and the images supporting the completed check.

partner_result
object
required

Provenance of the partner's identity-document check. Exactly one of response or response_file is required.

Response

Verification started.

data
object
required

Identifier and current lifecycle status of an accepted partner-managed document submission.